Ruby: izstream Class Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Public Member Functions
izstream Class Reference

`#include <zstream.h>`

## Public Member Functions
| izstream ()
| izstream (FILE *fp)
| izstream (const char *name)
| ~izstream ()
void | open (const char *name)
void | open (FILE *fp)
int | close ()
int | read (void *buf, size_t len)
const char * | error (int *errnum)
gzFile | fp ()

## Detailed Description

Definition at line 51 of file zstream.h.

## Constructor & Destructor Documentation

## ◆ izstream() [1/3]

izstream::izstream | ( |  | ) |
| inline

Definition at line 54 of file zstream.h.

## ◆ izstream() [2/3]

izstream::izstream | ( | FILE * | fp | ) |
| inline

Definition at line 55 of file zstream.h.

References fp(), and open().

## ◆ izstream() [3/3]

izstream::izstream | ( | const char * | name | ) |
| inline

Definition at line 56 of file zstream.h.

References name, and open().

## ◆ ~izstream()

izstream::~izstream | ( |  | ) |
| inline

Definition at line 57 of file zstream.h.

References close().

## Member Function Documentation

## ◆ close()

int izstream::close | ( |  | ) |
| inline

Definition at line 80 of file zstream.h.

References gzclose().

Referenced by open(), and ~izstream().

## ◆ error()

const char * izstream::error | ( | int * | errnum | ) |
| inline

Definition at line 97 of file zstream.h.

## ◆ fp()

gzFile izstream::fp | ( |  | ) |
| inline

Definition at line 101 of file zstream.h.

Referenced by izstream(), open(), operator>(), read(), and read_string().

## ◆ open() [1/2]

void izstream::open | ( | const char * | name | ) |
| inline

Definition at line 65 of file zstream.h.

References close(), gzopen(), and name.

Referenced by izstream().

## ◆ open() [2/2]

void izstream::open | ( | FILE * | fp | ) |
| inline

Definition at line 70 of file zstream.h.

References close(), fileno, fp(), gzdopen(), and SET_BINARY_MODE.

## ◆ read()

int izstream::read | ( | void * | buf,
|  | size_t | len
| ) |  |
| inline

Definition at line 87 of file zstream.h.

References len.

The documentation for this class was generated from the following file:

- ext/zlib/zlib-1.2.13/contrib/iostream2/zstream.h